version: '3.9'

services:
  adguard:
    image: adguard/adguardhome:v0.107.51
    volumes:
      - adguard_conf:/opt/adguardhome/conf
      - adguard_work:/opt/adguardhome/work
    ports:
      - target: 53
        published: 53
        protocol: tcp
        mode: host
      - target: 53
        published: 53
        protocol: udp
        mode: host
      - target: 3000
        published: 3000
        mode: host
    networks:
      - traefik-public
    deploy:
      labels:
        - traefik.enable=true
        - traefik.http.routers.adguard.rule=Host(`adguard.localhost`)
        - traefik.http.routers.adguard.entrypoints=websecure
        - traefik.http.routers.adguard.tls=true
        - traefik.http.services.adguard.loadbalancer.server.port=3000

volumes:
  adguard_conf:
    driver: local
    driver_opts:
      type: nfs
      o: addr=omv800.local,nolock,soft,rw
      device: :/export/adguard/conf
  adguard_work:
    driver: local

networks:
  traefik-public:
    external: true
